For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tickets

Get and submit tickets.

Get a list of all ticket categories

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
string[]Optional
get/v3/tickets/categories
GET /v3/tickets/categories HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  "text"
]

Get a list of all ticket meta data (no actual contents)

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idinteger · integerOptional

Ticket ID

hashstringOptional

Ticket hash

readHashstringOptional

Ticket read hash

titlestringRequired

Ticket title

categoryNamestringRequired

Ticket category name

priorityNamestringOptional

Ticket priority name

createdAtinteger · integerOptional

Ticket creation unix timestamp

updatedAtinteger · integerOptional

Ticket last update unix timestamp

clientLastRepliedAtinteger · integerOptional

Time at which the client last replied to the ticket

clientLastReadAtinteger · integerOptional

Time at which the client last read the ticket

statusstringRequired

Ticket status

numUserRepliesinteger · integerOptional

Number of replies in ticket

get/v3/tickets
GET /v3/tickets HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "hash": "text",
    "readHash": "text",
    "title": "text",
    "categoryName": "text",
    "priorityName": "text",
    "createdAt": 1,
    "updatedAt": 1,
    "clientLastRepliedAt": 1,
    "clientLastReadAt": 1,
    "status": "text",
    "numUserReplies": 1,
    "replies": [
      {
        "id": 1,
        "title": "text",
        "fullUserName": "text",
        "content": "text",
        "createdAt": 1,
        "replyByI3d": 1,
        "attachments": [
          {
            "id": 1,
            "name": "text",
            "mime": "text",
            "size": 1,
            "uploadedTime": 1
          }
        ]
      }
    ]
  }
]

Create a new ticket

post
Authorizations
PRIVATE-TOKENstringRequired
Body
titlestringRequired

Ticket title

contentstringRequired

Ticket content

categorystringRequired

Ticket category name, must be one of GET /v3/tickets/categories

departmentstringRequired

Ticket department name

emailCcstringRequired

Ticket's "Carbon Copy" email addresses in CSV format

emailTostringRequired

Ticket's destination email addresses in CSV format

attachmentIdsinteger · integer[]Optional

The IDs of attachments that have been uploaded through POST /v3/tickets/attachment

Responses
200

OK

application/json
idinteger · integerOptional

Ticket ID

hashstringOptional

Ticket hash

readHashstringOptional

Ticket read hash

titlestringRequired

Ticket title

categoryNamestringRequired

Ticket category name

priorityNamestringOptional

Ticket priority name

createdAtinteger · integerOptional

Ticket creation unix timestamp

updatedAtinteger · integerOptional

Ticket last update unix timestamp

clientLastRepliedAtinteger · integerOptional

Time at which the client last replied to the ticket

clientLastReadAtinteger · integerOptional

Time at which the client last read the ticket

statusstringRequired

Ticket status

numUserRepliesinteger · integerOptional

Number of replies in ticket

post/v3/tickets
POST /v3/tickets HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 125

{
  "title": "text",
  "content": "text",
  "category": "text",
  "department": "text",
  "emailCc": "text",
  "emailTo": "text",
  "attachmentIds": [
    1
  ]
}
{
  "id": 1,
  "hash": "text",
  "readHash": "text",
  "title": "text",
  "categoryName": "text",
  "priorityName": "text",
  "createdAt": 1,
  "updatedAt": 1,
  "clientLastRepliedAt": 1,
  "clientLastReadAt": 1,
  "status": "text",
  "numUserReplies": 1,
  "replies": [
    {
      "id": 1,
      "title": "text",
      "fullUserName": "text",
      "content": "text",
      "createdAt": 1,
      "replyByI3d": 1,
      "attachments": [
        {
          "id": 1,
          "name": "text",
          "mime": "text",
          "size": 1,
          "uploadedTime": 1
        }
      ]
    }
  ]
}

Get a list of all ticket meta data (no actual contents) that are open or unread

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idinteger · integerOptional

Ticket ID

hashstringOptional

Ticket hash

readHashstringOptional

Ticket read hash

titlestringRequired

Ticket title

categoryNamestringRequired

Ticket category name

priorityNamestringOptional

Ticket priority name

createdAtinteger · integerOptional

Ticket creation unix timestamp

updatedAtinteger · integerOptional

Ticket last update unix timestamp

clientLastRepliedAtinteger · integerOptional

Time at which the client last replied to the ticket

clientLastReadAtinteger · integerOptional

Time at which the client last read the ticket

statusstringRequired

Ticket status

numUserRepliesinteger · integerOptional

Number of replies in ticket

get/v3/tickets/openOrUnread
GET /v3/tickets/openOrUnread HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "hash": "text",
    "readHash": "text",
    "title": "text",
    "categoryName": "text",
    "priorityName": "text",
    "createdAt": 1,
    "updatedAt": 1,
    "clientLastRepliedAt": 1,
    "clientLastReadAt": 1,
    "status": "text",
    "numUserReplies": 1,
    "replies": [
      {
        "id": 1,
        "title": "text",
        "fullUserName": "text",
        "content": "text",
        "createdAt": 1,
        "replyByI3d": 1,
        "attachments": [
          {
            "id": 1,
            "name": "text",
            "mime": "text",
            "size": 1,
            "uploadedTime": 1
          }
        ]
      }
    ]
  }
]

Get a specific ticket with all replies.

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
ticketIdintegerRequired

Ticket ID

Responses
200

OK

application/json
idinteger · integerOptional

Ticket ID

hashstringOptional

Ticket hash

readHashstringOptional

Ticket read hash

titlestringRequired

Ticket title

categoryNamestringRequired

Ticket category name

priorityNamestringOptional

Ticket priority name

createdAtinteger · integerOptional

Ticket creation unix timestamp

updatedAtinteger · integerOptional

Ticket last update unix timestamp

clientLastRepliedAtinteger · integerOptional

Time at which the client last replied to the ticket

clientLastReadAtinteger · integerOptional

Time at which the client last read the ticket

statusstringRequired

Ticket status

numUserRepliesinteger · integerOptional

Number of replies in ticket

get/v3/tickets/{ticketId}
GET /v3/tickets/{ticketId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
{
  "id": 1,
  "hash": "text",
  "readHash": "text",
  "title": "text",
  "categoryName": "text",
  "priorityName": "text",
  "createdAt": 1,
  "updatedAt": 1,
  "clientLastRepliedAt": 1,
  "clientLastReadAt": 1,
  "status": "text",
  "numUserReplies": 1,
  "replies": [
    {
      "id": 1,
      "title": "text",
      "fullUserName": "text",
      "content": "text",
      "createdAt": 1,
      "replyByI3d": 1,
      "attachments": [
        {
          "id": 1,
          "name": "text",
          "mime": "text",
          "size": 1,
          "uploadedTime": 1
        }
      ]
    }
  ]
}

Get a ticket attachment

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
ticketIdintegerRequired

Ticket ID

attachmentIdintegerRequired

Attachment ID

Responses
200

OK

application/json
stringOptional
get/v3/tickets/{ticketId}/attachment/{attachmentId}
GET /v3/tickets/{ticketId}/attachment/{attachmentId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
text

Create a new ticket without being logged in (public contact form)

post
Authorizations
PRIVATE-TOKENstringRequired
Body
firstNamestring · min: 2 · max: 64Required

Contact first name

lastNamestring · min: 2 · max: 128Required

Contact last name

companyNamestring · max: 120Optional

Customer's company name (optional)

emailstring · max: 128Required

Contact email address

phonestring · min: 5 · max: 15Required

Contact phone number

titlestring · min: 2 · max: 250Required

Ticket title

contentstringOptional

Ticket content

categorystringRequired

Ticket category name, must be one of GET /v3/tickets/categories

Responses
200

OK

application/json
idinteger · integerOptional

Ticket ID

hashstringOptional

Ticket hash

readHashstringOptional

Ticket read hash

titlestringRequired

Ticket title

categoryNamestringRequired

Ticket category name

priorityNamestringOptional

Ticket priority name

createdAtinteger · integerOptional

Ticket creation unix timestamp

updatedAtinteger · integerOptional

Ticket last update unix timestamp

clientLastRepliedAtinteger · integerOptional

Time at which the client last replied to the ticket

clientLastReadAtinteger · integerOptional

Time at which the client last read the ticket

statusstringRequired

Ticket status

numUserRepliesinteger · integerOptional

Number of replies in ticket

post/v3/tickets/contact
POST /v3/tickets/contact HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 139

{
  "firstName": "text",
  "lastName": "text",
  "companyName": "text",
  "email": "text",
  "phone": "text",
  "title": "text",
  "content": "text",
  "category": "text"
}
{
  "id": 1,
  "hash": "text",
  "readHash": "text",
  "title": "text",
  "categoryName": "text",
  "priorityName": "text",
  "createdAt": 1,
  "updatedAt": 1,
  "clientLastRepliedAt": 1,
  "clientLastReadAt": 1,
  "status": "text",
  "numUserReplies": 1,
  "replies": [
    {
      "id": 1,
      "title": "text",
      "fullUserName": "text",
      "content": "text",
      "createdAt": 1,
      "replyByI3d": 1,
      "attachments": [
        {
          "id": 1,
          "name": "text",
          "mime": "text",
          "size": 1,
          "uploadedTime": 1
        }
      ]
    }
  ]
}

Post a reply to an existing ticket

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
ticketIdintegerRequired

Ticket ID

Body
titlestringRequired

Reply title

contentstringRequired

Reply content

attachmentIdsinteger · integer[]Optional

The IDs of attachments that have been uploaded through POST /v3/tickets/attachment

Responses
200

OK

application/json
idinteger · integerOptional

Ticket ID

hashstringOptional

Ticket hash

readHashstringOptional

Ticket read hash

titlestringRequired

Ticket title

categoryNamestringRequired

Ticket category name

priorityNamestringOptional

Ticket priority name

createdAtinteger · integerOptional

Ticket creation unix timestamp

updatedAtinteger · integerOptional

Ticket last update unix timestamp

clientLastRepliedAtinteger · integerOptional

Time at which the client last replied to the ticket

clientLastReadAtinteger · integerOptional

Time at which the client last read the ticket

statusstringRequired

Ticket status

numUserRepliesinteger · integerOptional

Number of replies in ticket

post/v3/tickets/{ticketId}/reply
POST /v3/tickets/{ticketId}/reply HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "title": "text",
  "content": "text",
  "attachmentIds": [
    1
  ]
}
{
  "id": 1,
  "hash": "text",
  "readHash": "text",
  "title": "text",
  "categoryName": "text",
  "priorityName": "text",
  "createdAt": 1,
  "updatedAt": 1,
  "clientLastRepliedAt": 1,
  "clientLastReadAt": 1,
  "status": "text",
  "numUserReplies": 1,
  "replies": [
    {
      "id": 1,
      "title": "text",
      "fullUserName": "text",
      "content": "text",
      "createdAt": 1,
      "replyByI3d": 1,
      "attachments": [
        {
          "id": 1,
          "name": "text",
          "mime": "text",
          "size": 1,
          "uploadedTime": 1
        }
      ]
    }
  ]
}

Upload an attachment to the system

post
Authorizations
PRIVATE-TOKENstringRequired
Body
attachmentobjectRequired

The attachment that is uploaded through your multipart/form-data request.

Responses
200

OK

application/json
attachmentIdinteger · integerRequired

The ID of the attachment that was uploaded through your multipart/form-data request.

post/v3/tickets/attachment
POST /v3/tickets/attachment HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "attachment": {}
}
{
  "attachmentId": 1
}

Delete an attachment *that is not coupled to a ticket or reply yet*

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
attachmentIdintegerRequired

Attachment ID

Responses
204

No Content

No content

delete/v3/tickets/attachment/{attachmentId}
DELETE /v3/tickets/attachment/{attachmentId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Open a ticket (if it isn't force-closed)

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
ticketIdintegerRequired

Ticket ID

Responses
204

No Content

No content

put/v3/tickets/{ticketId}/open
PUT /v3/tickets/{ticketId}/open HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Close a ticket

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
ticketIdintegerRequired

Ticket ID

Responses
204

No Content

No content

put/v3/tickets/{ticketId}/close
PUT /v3/tickets/{ticketId}/close HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?